const redirectLocation = window.location.origin + window.location.pathname;
const baseUrl = typeof BASE_URL !== "undefined" ? BASE_URL : "https://login.pcon-solutions.com";
const loginClient = new PConLogin.PConLoginClient(
  {
    client_id: CLIENT_ID,
    redirect_uri: redirectLocation,
  },
  {
    base_url: baseUrl
  }
);

const queryParams = new URLSearchParams(window.location.search);
const authCode = queryParams.get('code');

if (authCode) {
  loginClient.handleRedirect().then(() => {
    loginClient.redirectToNext();
  });
}